# AUTOGENERATED! DO NOT EDIT! File to edit: 02_bigquery.ipynb (unless otherwise specified).

__all__ = ['make_table_desc_op', 'make_table_schema_update_op']

# Cell

from airflow.providers.google.cloud.operators.bigquery import BigQueryUpdateTableSchemaOperator, BigQueryUpdateTableOperator
from .utils import dest, dest_dict


# Cell

def make_table_desc_op(destination_table, description, task_id=None):

    if task_id is None:
        task_id = f"description__{'.'.join(destination_table.split('.')[-2:])}"

    return BigQueryUpdateTableOperator(
        task_id=task_id,
        dataset_id=dest_dict(destination_table)['datasetId'],
        table_id=dest_dict(destination_table)['tableId'],
        table_resource={
            "description": description,
        },
    )


def make_table_schema_update_op(destination_table, schema, task_id=None):

    if task_id is None:
        task_id = f"schema__{'.'.join(destination_table.split('.')[-2:])}"

    return BigQueryUpdateTableSchemaOperator(
        task_id=task_id,
        dataset_id=dest_dict(destination_table)['datasetId'],
        table_id=dest_dict(destination_table)['tableId'],
        schema_fields_updates=[{'name': s[0], 'description': s[1]} for s in schema]
    )

