# AUTOGENERATED! DO NOT EDIT! File to edit: 03_datahub.ipynb (unless otherwise specified).

__all__ = ['make_datahub_lineage_op']

# Cell

import datahub.emitter.mce_builder as builder
from datahub_provider.operators.datahub import DatahubEmitterOperator
from .utils import dest, sched, dest_dict


# Cell


def make_datahub_lineage_op(upstream_urns, downstream_urn, task_id=None, datahub_conn_id='datahub_rest_default', env='DEV', source_type='bigquery'):
    if task_id is None:
        task_id = f"lineage__{'.'.join(downstream_urn.split('.')[-2:])}"
    return DatahubEmitterOperator(
        task_id=task_id,
        datahub_conn_id=datahub_conn_id,
        mces=[
            builder.make_lineage_mce(
                upstream_urns=[builder.make_dataset_urn(source_type, dest(urn), env=env) for urn in upstream_urns],
                downstream_urn=builder.make_dataset_urn(source_type, dest(downstream_urn), env=env),
            )
        ],
    )

